## xotcl 1.6.8

=== library/store/XOTclGdbm/Makefile ===
# Makefile.in --
#
#	This file is a Makefile for Sample TEA Extension.  If it has the name
#	"Makefile.in" then it is a template for a Makefile;  to generate the
#	actual Makefile, run "./configure", which is a configuration script
#	generated by the "autoconf" program (constructs like "@foo@" will get
#	replaced in the actual Makefile.
#
# Copyright (c) 1999 Scriptics Corporation.
# Copyright (c) 2002-2003 ActiveState Corporation.
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# RCS: @(#) $Id: Makefile,v 1.27 2007/09/13 15:21:54 neumann Exp $

#========================================================================
# Add additional lines to handle any additional AC_SUBST cases that
# have been added in a customized configure script.
#========================================================================

#SAMPLE_NEW_VAR	= @SAMPLE_NEW_VAR@

#========================================================================
# Nothing of the variables below this line should need to be changed.
# Please check the TARGETS section below to make sure the make targets
# are correct.
#========================================================================

#========================================================================
# The names of the source files is defined in the configure script.
# The object files are used for linking into the final library.
# This will be used when a dist target is added to the Makefile.
# It is not important to specify the directory, as long as it is the
# $(srcdir) or in the generic, win or unix subdirectory.
#========================================================================

PKG_SOURCES	=  xotclgdbm.c
PKG_OBJECTS	=  xotclgdbm.o

PKG_STUB_SOURCES = 
PKG_STUB_OBJECTS = 

#========================================================================
# PKG_TCL_SOURCES identifies Tcl runtime files that are associated with
# this package that need to be installed, if any.
#========================================================================

PKG_TCL_SOURCES = 

#========================================================================
# This is a list of public header files to be installed, if any.
#========================================================================

PKG_HEADERS	= 

#========================================================================
# "PKG_LIB_FILE" refers to the library (dynamic or static as per
# configuration options) composed of the named objects.
#========================================================================

PKG_LIB_FILE	= libxotclgdbm1.2.dylib
PKG_STUB_LIB_FILE = libxotclgdbmstub1.2.a

lib_BINARIES	= $(PKG_LIB_FILE)
BINARIES	= $(lib_BINARIES)

SHELL		= /bin/sh

srcdir		= .
prefix		= /usr/local/aolserver-4.5
exec_prefix	= /usr/local/aolserver-4.5

bindir		= ${exec_prefix}/bin
libdir		= ${exec_prefix}/lib
datadir		= ${prefix}/share
mandir		= ${prefix}/man
includedir	= ${prefix}/include

DESTDIR		=

PKG_DIR		= $(PACKAGE_NAME)$(PACKAGE_VERSION)
pkgdatadir	= $(datadir)/$(PKG_DIR)
pkglibdir	= $(libdir)/$(PKG_DIR)
pkgincludedir	= $(includedir)/$(PKG_DIR)

top_builddir	= .

INSTALL		= /usr/bin/install -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644
INSTALL_SCRIPT	= ${INSTALL}

PACKAGE_NAME	= xotclgdbm
PACKAGE_VERSION	= 1.2
CC		= gcc
CFLAGS_DEFAULT	= -Os
CFLAGS_WARNING	= -Wall -Wno-implicit-int
CLEANFILES	= pkgIndex.tcl
EXEEXT		= 
LDFLAGS_DEFAULT	=  -prebind -headerpad_max_install_names -Wl,-search_paths_first 
MAKE_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS} 
MAKE_SHARED_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS}
MAKE_STATIC_LIB	= ${STLIB_LD} $@ $(PKG_OBJECTS)
MAKE_STUB_LIB	= ${STLIB_LD} $@ $(PKG_STUB_OBJECTS)
OBJEXT		= o
RANLIB		= :
RANLIB_STUB	= ranlib
SHLIB_CFLAGS	= -fno-common
SHLIB_LD	= ${CC} -dynamiclib ${CFLAGS} ${LDFLAGS_DEFAULT} -Wl,-single_module
SHLIB_LD_FLAGS	= @SHLIB_LD_FLAGS@
SHLIB_LD_LIBS	= ${LIBS} -L/usr/local/aolserver-4.5/lib -ltclstub8.4
STLIB_LD	= ${AR} cr
TCL_DEFS	=  -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_PTHREAD_ATFORK=1 -DTCL_THREADS=1 -DHAVE_COREFOUNDATION=1 -DMAC_OSX_TCL=1 -DTCL_WIDE_INT_TYPE=long\ long -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -DHAVE_STRTOLL=1 -DHAVE_STRTOULL=1 -DHAVE_TMPNAM=1 -DHAVE_WAITPID=1 -DHAVE_GETPWUID_R_5=1 -DHAVE_GETPWUID_R=1 -DHAVE_GETPWNAM_R_5=1 -DHAVE_GETPWNAM_R=1 -DHAVE_GETGRGID_R_5=1 -DHAVE_GETGRGID_R=1 -DHAVE_GETGRNAM_R_5=1 -DHAVE_GETGRNAM_R=1 -DHAVE_MTSAFE_GETHOSTBYNAME=1 -DHAVE_MTSAFE_GETHOSTBYADDR=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_TM_ZONE=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_TM_GMTOFF=1 -DHAVE_ST_BLKSIZE=1 -DSTDC_HEADERS=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_PUTENV_THAT_COPIES=1 -DHAVE_LANGINFO=1 -DHAVE_COPYFILE=1 -DHAVE_LIBKERN_OSATOMIC_H=1 -DHAVE_OSSPINLOCKLOCK=1 -DHAVE_PTHREAD_ATFORK=1 -DUSE_VFORK=1 -DTCL_DEFAULT_ENCODING=\"utf-8\" -DTCL_LOAD_FROM_MEMORY=1 -DHAVE_AVAILABILITYMACROS_H=1 -DHAVE_FTS=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_FILIO_H=1 
TCL_BIN_DIR	= /usr/local/aolserver-4.5/lib
TCL_SRC_DIR	= /usr/local/src/tcl8.4.14
# This is necessary for packages that use private Tcl headers
#TCL_TOP_DIR_NATIVE	= @TCL_TOP_DIR_NATIVE@
# Not used, but retained for reference of what libs Tcl required
TCL_LIBS	= ${DL_LIBS} ${LIBS} ${MATH_LIBS}

#========================================================================
# TCLLIBPATH seeds the auto_path in Tcl's init.tcl so we can test our
# package without installing.  The other environment variables allow us
# to test against an uninstalled Tcl.  Add special env vars that you
# require for testing here (like TCLX_LIBRARY).
#========================================================================

EXTRA_PATH	= $(top_builddir):$(TCL_BIN_DIR)
TCLSH_ENV	= TCL_LIBRARY=`echo $(TCL_SRC_DIR)/library` \
		  DYLD_LIBRARY_PATH="$(EXTRA_PATH):$(DYLD_LIBRARY_PATH)" \
		  PATH="$(EXTRA_PATH):$(PATH)" \
		  TCLLIBPATH="$(top_builddir)"
TCLSH_PROG	= /usr/local/aolserver-4.5/bin/tclsh8.4
TCLSH		= $(TCLSH_ENV) $(TCLSH_PROG)
SHARED_BUILD	= 1

INCLUDES	=  -I/Users/neumann/src/xotcl-1.5.5/generic -I./generic -I"/usr/local/aolserver-4.5/include"

EXTRA_CFLAGS	=  

# TCL_DEFS is not strictly need here, but if you remove it, then you
# must make sure that configure.in checks for the necessary components
# that your library may use.  TCL_DEFS can actually be a problem if
# you do not compile with a similar machine setup as the Tcl core was
# compiled with.
#DEFS		= $(TCL_DEFS) -DPACKAGE_NAME=\"xotclgdbm\" -DPACKAGE_TARNAME=\"xotclgdbm\" -DPACKAGE_VERSION=\"1.2\" -DPACKAGE_STRING=\"xotclgdbm\ 1.2\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -DTCL_WIDE_INT_TYPE=long\ long -DUSE_TCL_STUBS=1  $(EXTRA_CFLAGS)
DEFS		= -DPACKAGE_NAME=\"xotclgdbm\" -DPACKAGE_TARNAME=\"xotclgdbm\" -DPACKAGE_VERSION=\"1.2\" -DPACKAGE_STRING=\"xotclgdbm\ 1.2\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -DTCL_WIDE_INT_TYPE=long\ long -DUSE_TCL_STUBS=1  $(EXTRA_CFLAGS)

CONFIG_CLEAN_FILES = Makefile

CPPFLAGS	= 
LIBS		=  -L/Users/neumann/src/xotcl-1.5.5 -lxotclstub1.5.5 -L/Users/neumann/src/xotcl-1.5.5 -lxotcl1.5.5 -lgdbm 
AR		= ar
CFLAGS		= -pipe  ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS}  
COMPILE		= $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)

#========================================================================
# Start of user-definable TARGETS section
#========================================================================

#========================================================================
# TEA TARGETS.  Please note that the "libraries:" target refers to platform
# independent files, and the "binaries:" target inclues executable programs and
# platform-dependent libraries.  Modify these targets so that they install
# the various pieces of your package.  The make and install rules
# for the BINARIES that you specified above have already been done.
#========================================================================

all: binaries libraries doc

#========================================================================
# The binaries target builds executable programs, Windows .dll's, unix
# shared/static libraries, and any other platform-dependent files.
# The list of targets to build for "binaries:" is specified at the top
# of the Makefile, in the "BINARIES" variable.
#========================================================================

binaries: $(BINARIES) pkgIndex.tcl

libraries:

doc:
	@echo "If you have documentation to create, place the commands to"
	@echo "build the docs in the 'doc:' target.  For example:"
	@echo "        xml2nroff sample.xml > sample.n"
	@echo "        xml2html sample.xml > sample.html"

install: all install-binaries install-libraries install-doc

install-binaries: binaries install-lib-binaries install-bin-binaries
	if test "x$(SHARED_BUILD)" = "x1"; then \
	    $(INSTALL_DATA) pkgIndex.tcl $(DESTDIR)$(pkglibdir); \
	fi

#========================================================================
# This rule installs platform-independent files, such as header files.
#========================================================================

install-libraries: libraries
	@mkdir -p $(DESTDIR)$(includedir)
	@echo "Installing header files in $(DESTDIR)$(includedir)"
	@if test -n "$(PKG_HEADERS)" ; then \
	  for i in "$(PKG_HEADERS)" ; do \
	    echo "Installing $(srcdir)/$$i" ; \
	    $(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(includedir) ; \
	  done; \
	fi

#========================================================================
# Install documentation.  Unix manpages should go in the $(mandir)
# directory.
#========================================================================

install-doc: doc
#install-doc: doc
#	@mkdir -p $(DESTDIR)$(mandir)/mann
#	@echo "Installing documentation in $(DESTDIR)$(mandir)"
#	@for i in $(srcdir)/doc/*.n; do \
#	    echo "Installing $$i"; \
#	    rm -f $(DESTDIR)$(mandir)/mann/`basename $$i`; \
#	    $(INSTALL_DATA) $$i $(DESTDIR)$(mandir)/mann ; \
#	done

test: binaries libraries
	$(TCLSH) `echo $(srcdir)/tests/all.tcl` $(TESTFLAGS)

shell: binaries libraries
	@$(TCLSH) $(SCRIPT)

gdb:
	$(TCLSH_ENV) gdb $(TCLSH_PROG) $(SCRIPT)

depend:

#========================================================================
# $(PKG_LIB_FILE) should be listed as part of the BINARIES variable
# mentioned above.  That will ensure that this target is built when you
# run "make binaries".
#
# The $(PKG_OBJECTS) objects are created and linked into the final
# library.  In most cases these object files will correspond to the
# source files above.
#========================================================================

$(PKG_LIB_FILE): $(PKG_OBJECTS)
	-rm -f $(PKG_LIB_FILE)
	${MAKE_LIB}
	$(RANLIB) $(PKG_LIB_FILE)

$(PKG_STUB_LIB_FILE): $(PKG_STUB_OBJECTS)
	-rm -f $(PKG_STUB_LIB_FILE)
	${MAKE_STUB_LIB}
	$(RANLIB_STUB) $(PKG_STUB_LIB_FILE)

#========================================================================
# We need to enumerate the list of .c to .o lines here.
#
# In the following lines, $(srcdir) refers to the toplevel directory
# containing your extension.  If your sources are in a subdirectory,
# you will have to modify the paths to reflect this:
#

=== debian/changelog ===
xotcl (1.6.8-6) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 15 (closes: #1098162).
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 23 Mar 2025 21:43:31 +0300

xotcl (1.6.8-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove the need for root when building the package.
    (Closes: #1089480)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 16:21:50 +0000

xotcl (1.6.8-5) unstable; urgency=medium

  * Team upload.
  * Convert the source package to 3.0 (quilt) format (closes: #1007532).
  * Point debian/watch to the SourceForge download site.
  * Bump the debhelper compatibility level to 12.
  * Bump the standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 15 Mar 2022 12:08:33 +0300

xotcl (1.6.8-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 18:08:13 +0100

xotcl (1.6.8-4) unstable; urgency=medium

  * Team upload.
  * Remove the aolserver4-xotcl package since aolserver4 is to be removed from
    Debian.
  * Replace old VCS links by new Salsa based ones.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 13 Apr 2018 11:24:36 +0300

xotcl (1.6.8-3) unstable; urgency=low

  * Silence some lintian warnings
  * Support reproducible builds (Closes: #840155)

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Tue, 24 Jan 2017 00:34:08 +0100

xotcl (1.6.8-2) unstable; urgency=low

  * Silence lintian warnings
  * Support reproducible builds (Closes: #797543)

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Thu, 18 Aug 2016 14:08:37 +0200

xotcl (1.6.8-1) unstable; urgency=medium

  * New upstream release: 1.6.8 (see http://www.xotcl.org/)
  * Closes: #724816
  * Silence lintian warnings

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Mon, 28 Apr 2014 17:28:54 +0200

xotcl (1.6.7-2) unstable; urgency=low

  * Delete all .o and .so files in the clean target explicitly, to
    remove unwanted build artifacts in the 1.6.7 upstream
    release. All credits go to Sven Hoexter for providing this
    patch. (Closes: #651969)

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Sun, 01 Jan 2012 15:36:21 +0100

xotcl (1.6.7-1) unstable; urgency=low

  * New upstream release: 1.6.7 (see http://www.xotcl.org/)
  * Checked against lintian v2.5.4: Removed deprecated reference to
    BSD license file
    (copyright-refers-to-deprecated-bsd-license-file), revamped
    debian/rules to lay out recommmended targets
    (debian-rules-missing-recommended-target), bumped source package
    to Standards version 3.9.2
  * Switched the debian source package to using quilt, rather than dpatch
  * Updated VCS locators, thx to Sven Hoexter for pointing this out!

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Mon, 28 Nov 2011 00:22:21 +0100

xotcl (1.6.6-1.1) unstable; urgency=low

   * Non-maintainer upload.
   * No changes, rebuilt for for aolserver4-core-4.5.1-1

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 14 Apr 2011 21:35:40 +0200

xotcl (1.6.6-1) unstable; urgency=medium

  * New upstream release: 1.6.6 (see http://www.xotcl.org/)
  * This upstream version supports --with-expat=sys, now used in debian/rules
  * Removed obsolete Makefile.in patch
  * Checked lintian sanity (v2.3.4)

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Sun, 11 Apr 2010 19:31:04 +0200

xotcl (1.6.5-1.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix CVE-2009-3720 in embedded Expat copy. xotcl isn't affected by
    CVE-2009-3560 (Closes: #560950)

  [ Stefan Sobernig ]
  * Incorporated NMU source patches on bundled expat properly through dpatch

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 23 Feb 2010 21:51:50 +0100

xotcl (1.6.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add --with-expat=sys to configure (Closes: #560950)
  * Urgendcy medium due to RC bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 27 Jan 2010 10:02:03 +0100

xotcl (1.6.5-1) unstable; urgency=low

  * New upstream release: 1.6.5 (see http://www.xotcl.org/)
  * Checked lintian sanity (v2.2.18)

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Mon, 16 Nov 2009 10:02:47 +0100

xotcl (1.6.4-1) unstable; urgency=low

  * New upstream release: 1.6.4 (see http://www.xotcl.org/)
  * Pitched to standards version 3.8.3
  * Checked linitian sanity (linitian v2.2.17)
  * Place the substvar injection (cat call) into the binary-indep
    target

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Fri, 23 Oct 2009 00:27:22 +0200

xotcl (1.6.3-2) unstable; urgency=low

  [ Stefan Sobernig ]
  * Adding debian/watch file
  * Making use of inheriting fields from xotcl source in debian/control
  * Removed overrides turned obsolete in xotcl source
  * Added details to the aolserver4-xotcl extended description
  * Added details to the xotcl-dev extended description
  * Checked lintian sanity (lintian v2.2.12)
  * Changed section field in aolserver4-xotcl to "httpd"
  * aolserver4-xotcl: Adding API/ABI coupling to aolserver4-core
    through substvar injection from aolserver4-dev (starting with
    4.5.1-5)

  [ Francesco Paolo Lovergine ]
  * Debhelper compatibility level pushed to 7.
  * Home page field moved to main section.
  * Substvar concat moved just before dh_gencontrol.

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Tue, 23 Jun 2009 16:40:22 +0200

xotcl (1.6.3-1) unstable; urgency=low

  * New upstream release: 1.6.3 (see http://www.xotcl.org/)
  * Debian policy 3.8.1 compliance
  * Checked lintian sanity (linitian v2.2.9)
  * Updated copyright dates in debian/copyright

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Mon, 06 Apr 2009 11:53:40 +0200

xotcl (1.6.2-1) experimental; urgency=low



=== debian/control ===
Source: xotcl
Section: libs
Priority: optional
Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>
Build-Depends: debhelper-compat (= 13), tcl-dev (>= 8.6), tk-dev (>= 8.6), libexpat1-dev
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: http://www.xotcl.org/
Vcs-Browser: https://salsa.debian.org/tcltk-team/xotcl
Vcs-Git: https://salsa.debian.org/tcltk-team/xotcl.git

Package: xotcl
Architecture: any
Depends: ${tclsh:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Extended Object Tcl (XOTcl): Object orientation for Tcl - shared library
 Extended Object Tcl (for short: XOTcl, pronounced exotickle) is an
 object-oriented scripting language based on Tcl. It was originally
 designed for providing language support for design patterns and
 provides novel constructs such as filters or transitive mixin
 classes. The language is designed for empowering rather than
 constraining system developers. The basic object model is highly
 influenced by CLOS.

Package: xotcl-shells
Section: utils
Architecture: any
Depends: xotcl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Extended Object Tcl (XOTcl): Object orientation for Tcl - shells
 This package provides you with two Tcl/Tk shell wrappers, xotclsh and
 xowish. These shells offer ready-made environments for
 XOTcl-empowered scripting.

Package: xotcl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Extended Object Tcl (XOTcl): Object orientation for Tcl - manual
 This package brings the official XOTcl language reference and a
 comprehensive tutorial to you. They are registered with the doc-base
 family of tools. Moreover, you will find code examples on how to use
 various XOTcl features and packages. 

Package: xotcl-dev
Section: libdevel
Architecture: any
Depends: xotcl (= ${binary:Version}), ${misc:Depends}
Description: Extended Object Tcl (XOTcl): Object orientation for Tcl - development files
 Header files and static libraries for libxotcl. You will need this
 package in place if you plan to develop using the XOTcl C interface
 and/or if you want to create custom builts of XOTcl C extensions.

=== debian/rules ===
#!/usr/bin/make -f

#
# Verbosity
#
# export DH_VERBOSE=1

#
# debhelper compatibility level
# (provided in compat file)

#
# DEB_BUILD_OPTIONS?
#

#
# Environement
#

SHELL=/bin/sh
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
TARGET=$(CURDIR)/debian/tmp

#
# Extract version information from autoconf meta-data
#
MAJOR=$(shell grep -m 1 XOTCL_MAJOR_VERSION configure.ac|cut -d= -f2)
MINOR=$(shell grep -m 1 XOTCL_MINOR_VERSION configure.ac|cut -d= -f2)
PATCHLEVEL=$(shell grep -m 1 XOTCL_RELEASE_LEVEL configure.ac|cut -d= -f2)
VERSION=$(MAJOR).$(MINOR)$(PATCHLEVEL)

#
# deployment targets
#

DEB=$(CURDIR)/debian
EXTENSION=$(DEB)/xotcl
# Debian Tcl/Tk policy paths
ARCH_DEPENDENT=$(EXTENSION)/usr/lib/tcltk
ARCH_INDEPENDENT=$(EXTENSION)/usr/share/tcltk
DEV=$(EXTENSION)-dev
DOC=$(EXTENSION)-doc
SHELLS=$(EXTENSION)-shells
DOCDIR=$(DOC)/usr/share/doc/xotcl-doc

#
# NOTE: --with-tcl=/usr/lib needed? -> is anyway resolved 
# to /usr/share/tcltk
# NOTE: Due to a (possible) licensing conflict, we exlcude, for now,
# the language binding for gdbm (http://www.gnu.org/software/gdbm/).
# gdbm comes under GPL 2+ which affects "derived work", in terms of
# libraries linking against it. Upstream might switch to a gdbm
# alternative in future releases:
# --with-gdbm=/usr/include,/usr/lib	

config.status: configure

	dh_testdir
	./configure --prefix=/usr \
		--exec-prefix=/usr \
		$(shell dpkg-buildflags --export=configure) \
		--enable-shared \
		--enable-threads \
		--with-actiweb=yes \
		--with-xotclsh=yes \
		--with-xowish=yes \
		--includedir=/usr/include/xotcl \
		--with-tclinclude=/usr/include/tcl \
		--with-tcl=/usr/lib \
		--with-tk=/usr/lib \
		--mandir=/usr/share/man \
		--with-expat=sys \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: config.status
	dh_testdir

	$(MAKE)

	touch $@

# clean: unpatch
clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	find . -name '*.o' -type f -delete
	find . -name '*.so' -type f -delete
	dh_clean config.log config.status config.cache config.guess

install: build 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=$(TARGET) XOTCLSH=xotclsh install
	# / / / / / / / / / / / / / / / / / / / / / / / / / / /
	# xotcl
	#install -d -m 755 $(EXTENSION)/usr/lib
	install -d -m 755 $(ARCH_DEPENDENT)/xotcl$(VERSION)
	install -d -m 755 $(ARCH_INDEPENDENT)
	@cp -R $(TARGET)/usr/lib/* $(ARCH_DEPENDENT)
	for d in $$(cat $(DEB)/xotcl.arch_independent); do \
		mv $(ARCH_DEPENDENT)/xotcl$(VERSION)/$$d $(ARCH_INDEPENDENT)/xotcl$(VERSION)-$$d; \
	done

	# `- fix build-related symlinks
	(cd $(EXTENSION)/usr/lib; \
	ln -sf ./tcltk/xotcl$(VERSION)/libxotcl$(VERSION).so;)
	@rm -f $(ARCH_DEPENDENT)/libxotcl$(VERSION).so

	# remove misplaced/ inappropriate files
	rm -f $(ARCH_DEPENDENT)/xotcl$(VERSION)/COPYRIGHT

	# xotcl-shells
	install -d -m 755 $(SHELLS)/usr/bin
	@cp -R $(TARGET)/usr/bin/* $(SHELLS)/usr/bin/

	# man pages go with shells package (as required
	# by Debian policy, section 12.1)
	install -d -m 755 $(SHELLS)/usr/share/man/man1
	cp -R $(TARGET)/usr/share/man/man1/* $(SHELLS)/usr/share/man/man1

	# xotcl-dev
	install -d -m 755 $(DEV)/usr/include/xotcl
	cp -R $(TARGET)/usr/include/xotcl/* $(DEV)/usr/include/xotcl

	# move and fix xotclConfig.sh
	install -d -m 755 $(DEV)/usr/share/tcltk/xotcl$(VERSION)
	mv $(ARCH_DEPENDENT)/xotclConfig.sh $(DEV)/usr/share/tcltk/xotcl$(VERSION)/
	perl -i -p \
	-e "s|^(XOTCL_BUILD_LIB_SPEC)=.*$$|\1='-L/usr/lib/tcltk/xotcl$(VERSION) -lxotcl$(VERSION)'|;" \
	-e "s|^(XOTCL_BUILD_STUB_LIB_SPEC)=.*$$|\1='-L/usr/lib/tcltk/xotcl$(VERSION) -lxotclstub$(VERSION)'|;" \
	-e "s|^(XOTCL_INCLUDE_DIR)=.*$$|\1='/usr/include/xotcl'|;" \
	-e "s|^(XOTCL_BUILD_STUB_LIB_PATH)=.*$$|\1='/usr/lib/tcltk/xotcl$(VERSION)/libxotclstub$(VERSION).a'|;" \
	-e "s|^(XOTCL_LIB_SPEC)=.*$$|\1='-L/usr/lib/tcltk/xotcl$(VERSION) -lxotcl$(VERSION)'|;" \
	-e "s|^(XOTCL_STUB_LIB_SPEC)=.*$$|\1='-L/usr/lib/tcltk/xotcl$(VERSION) -lxotclstub$(VERSION)'|;" \
	-e "s|^(XOTCL_STUB_LIB_PATH)=.*$$|\1='/usr/lib/tcltk/xotcl$(VERSION)/libxotclstub$(VERSION).a'|;" \
	$(DEV)/usr/share/tcltk/xotcl$(VERSION)/xotclConfig.sh

	# `- provide symlinks 
	install -d -m 755 $(DEV)/usr/lib/tcltk/xotcl$(VERSION)

	(cd $(DEV)/usr/lib; \
	ln -sf ../share/tcltk/xotcl$(VERSION)/xotclConfig.sh;)

	# (cd $(DEV)/usr/lib/tcltk/xotcl$(VERSION); \
	# ln -sf ../../share/tcltk/xotcl$(VERSION)/xotclConfig.sh;)

	# move XOTCL stub library
	mv $(ARCH_DEPENDENT)/xotcl$(VERSION)/*.a $(DEV)/usr/lib/tcltk/xotcl$(VERSION)/

	# xotcl-doc
	install -d -m 755 $(DOCDIR)/readings
	for f in $(CURDIR)/doc/*.pdf $(CURDIR)/doc/*.html $(CURDIR)/doc/*.css $(CURDIR)/doc/*.gif ; do \
		cp $$f $(DOCDIR)/readings/; \
	done	

	mv $(ARCH_DEPENDENT)/xotcl$(VERSION)/apps $(DOCDIR)/examples

	# remove misplaced/inappropriate files
	rm -f $(DOCDIR)/examples/COPYRIGHT

	# lintian fixes:
	# `- E: xotcl: missing-dep-for-interpreter tclsh8.4 => tcl8.4 
	# (./usr/lib/xotcl$(VERSION)/apps/utils/xotclsh)
	# `- clear from *.in alter (reported by linda)
	perl -i -p \
	-e "s|^(#!).*$$|\1/usr/bin/tclsh|;" \
	$(DOCDIR)/examples/utils/xotclsh
	rm -f $(DOCDIR)/examples/utils/xotclsh.in
	# `- W: xotcl: interpreter-not-absolute 
	# ./usr/lib/xotcl$(VERSION)/apps/utils/xowish #!@WISH_PROG@
	# `- clear from *.in alter (reported by linda)
	perl -i -p \
	-e "s|^(#!).*$$|\1/usr/bin/wish|;" \
	$(DOCDIR)/examples/utils/xowish
	rm -f $(DOCDIR)/examples/utils/xowish.in

	# fix lintian executable-not-elf-or-script warnings
	for f in $$(cat $(DEB)/xotcl-doc.executable-not-elf-or-script); do \
		chmod 644 $(DOCDIR)/examples/$$f; \
	done

	# fix lintian interpreter-not-absolute warnings
	for f in $$(cat $(DEB)/xotcl-doc.interpreter-not-absolute); do \
		perl -i -p \
		-e "s|^(#!).*$$|\1/usr/bin/xotclsh|;" \
		$(DOCDIR)/examples/$$f; \
	done

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i ChangeLog
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	tcltk-depends
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	wget -O xotcl_1.6.8.orig.tar.gz \
	     http://media.wu-wien.ac.at/download/xotcl-1.6.8.tar.gz


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install get-orig-source

=== debian/watch ===
version=3
http://sf.net/xotcl/xotcl-(1\.\d\.\d+)\.tar\.gz
